package domain


type AlibabaWdkChannelOrderStatusUpdateOrderOperateResult struct {
    /*
        盒马主单号     */
    BizOrderId  *string `json:"biz_order_id,omitempty" `

    /*
        外部主单号     */
    OutOrderId  *string `json:"out_order_id,omitempty" `

    /*
        返回子单列表     */
    SubOrderResults  *[]AlibabaWdkChannelOrderStatusUpdateSubOrder `json:"sub_order_results,omitempty" `

}

func (s *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult) SetBizOrderId(v string) *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult {
    s.BizOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult) SetOutOrderId(v string) *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult {
    s.OutOrderId = &v
    return s
}
func (s *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult) SetSubOrderResults(v []AlibabaWdkChannelOrderStatusUpdateSubOrder) *AlibabaWdkChannelOrderStatusUpdateOrderOperateResult {
    s.SubOrderResults = &v
    return s
}
